> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/roc-iec.md).

# ROC IEC

Verifying the ROC IEC document helps to ensure that the end user is a legitimate business entity and has the necessary legal documentation to carry out import/export activities. It also helps to prevent fraudulent or illegal activities, such as money laundering or terrorist financing, through the merchant's payment processing activities.

#### Submit Document

## ind\_roc\_iec

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_roc_iec`

### Post parameters description is given below,

<table><thead><tr><th width="218">Post Parameter </th><th width="152">Type</th><th width="174">Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>import_export_code </td><td>String </td><td>Yes </td><td>Import export code</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "import_export_code": "33AADCF9175D1ZP"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "2360b225-856f-4d68-b42c-61ca7fa01a5a",
    "status": "completed",
    "result": {
        "enterprise_name": "RITAA STEELS",
        "enterprise_pan": "ANZPG7325CFT001",
        "import_export_code": "ANZPG7325C",
        "enterprise_address": "2079 MANDVI NI POLE,LALABHAI S,POL E, DAKWALA S KHADKI AHMEDABAD,GUJARAT",
        "iec_status": "DEACTIVATED",
        "directors": []
    },
    "requested_at": "2024-04-18T13:01:19.959Z",
    "completed_at": "2024-04-18T13:01:21.000Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "2360b225-856f-4d68-b42c-61ca7fa01a5a",
    "status": "in_progress",
    "requested_at": "2024-04-18T13:01:19.959Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid import export code",
        "field": "import_export_code",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T11:37:58.214Z",
    "completed_at": "2024-04-18T11:37:59.000Z"
}
```

{% endtab %}
{% endtabs %}

#### Check Document Status

## Get document details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/merchant/ind_roc_iec`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "2360b225-856f-4d68-b42c-61ca7fa01a5a",
    "status": "completed",
    "result": {
        "enterprise_name": "RITAA STEELS",
        "enterprise_pan": "ANZPG7325CFT001",
        "import_export_code": "ANZPG7325C",
        "enterprise_address": "2079 MANDVI NI POLE,LALABHAI S,POL E, DAKWALA S KHADKI AHMEDABAD,GUJARAT",
        "iec_status": "DEACTIVATED",
        "directors": []
    },
    "requested_at": "2024-04-18T13:01:19.959Z",
    "completed_at": "2024-04-18T13:01:21.000Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "2360b225-856f-4d68-b42c-61ca7fa01a5a",
    "status": "in_progress",
    "requested_at": "2024-04-18T13:01:19.959Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "6f081576-1076-4a80-b626-c0411b56a49b",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2024-04-18T11:37:58.214Z",
    "completed_at": "2024-04-18T11:37:59.000Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/roc-iec.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
